The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problem after update php

Discussion in 'General Discussion' started by danielati, Feb 9, 2015.

  1. danielati

    danielati Active Member

    Joined:
    Nov 7, 2011
    Messages:
    31
    Likes Received:
    1
    Trophy Points:
    6
    cPanel Access Level:
    Website Owner
    Hi,
    I have a system that creates accounts in cpanel via api.
    After I did the update php 4.5.37 to 5.5.21 version, the accounts that are created are showing notice, warning and deprecated.
    The php.ini is set as follows: E_ALL & ~ E_NOTICE & ~ E_DEPRECATED

    This problem is only happening with the accounts created after the upgrade. The problem does not occur with the old accounts, which contains the same script.

    It would be some incompatibility api?

    Can anyone help me fix the problem?

    Thank you
     
  2. danielati

    danielati Active Member

    Joined:
    Nov 7, 2011
    Messages:
    31
    Likes Received:
    1
    Trophy Points:
    6
    cPanel Access Level:
    Website Owner
    Hello,

    I solved the problem. Forgive my lack of attention. In one of the scripts I had added a line of error_reporting (E_ALL ^ DEPRECATED), and forgot. I was thinking it was setup problem.
    I'm sorry and thank you.
     
  3. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    648
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
Loading...

Share This Page